usb_interface_claimed
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_interface_claimed — returns true iff an interface is claimed

## Synopsis

`int usb_interface_claimed (` | struct usb_interface * | iface`)`;

## Arguments

`iface`

  the interface being checked

## Description

Returns true (nonzero) iff the interface is claimed, else false (zero). Callers must own the driver model's usb bus readlock. So driver `probe` entries don't need extra locking, but other call contexts may need to explicitly claim that lock.

Prev | Up | Next
struct usb_host_config | Home | usb_make_path